CREATE TABLE META_COL_MAPPING_COMPONENT
(
	MAP_ID NUMBER(18) NOT NULL,
	SDMX_ID varchar2(255) NOT NULL
)
;

ALTER TABLE META_COL_MAPPING_COMPONENT ADD CONSTRAINT PK_META_COL_MAPPING_COMPONENT
	PRIMARY KEY (MAP_ID, SDMX_ID)
;

ALTER TABLE META_COL_MAPPING_COMPONENT ADD CONSTRAINT FK_META_COL_MAPPING_COMPONENT
	FOREIGN KEY (MAP_ID) REFERENCES COMPONENT_MAPPING (MAP_ID) ON DELETE CASCADE
;
